Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77184 - Glibc 2.2.93 is incompatible with glibc-2.2.5
Summary: Glibc 2.2.93 is incompatible with glibc-2.2.5
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-02 15:38 UTC by Need Real Name
Modified: 2016-11-24 14:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 07:27:57 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-02 15:38:31 UTC
Description of Problem:
Binaries compiled with glibc-2.2.93 are binary incompatible with glibc-2.2.5 and
no compat libs are available

Version-Release number of selected component (if applicable):
glibc-2.2.93

How Reproducible:


Steps to Reproduce:
1. Compile rpm using stock libs
2. Try to open on RH7.3 (glibc-2.2.5)
3. 

Actual Results:
error relating to glinc_2_3

Expected Results:


Additional Information:
Compat libs should be available

Comment 1 Ulrich Drepper 2003-04-22 07:27:57 UTC
glibc is backward compatible, not forward copatible.  Code compiled with one
version of glibc is not guaranteed to run on systems with older glibcs.  This is
also true for statically linked binaries which is NSS modules.

That's just a 'don't do it'.


Note You need to log in before you can comment on or make changes to this bug.